
Packaging - Bug #6597

Nightly RPMs do not symlink /etc/foreman-proxy/settings.d to application

07/14/2014 07:37 AM - Lukas Zapletal

Status: Rejected   

Priority: Normal   

Assignee:    

Category: RPMs   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Reposting this issue due to backup restore:

Issue #6597 has been reported by Trey Dockendorf.

----------------------------------------

Bug #6597: 1.6.0 nightly RPMs do not symlink /etc/foreman-proxy/settings.d to application

http://projects.theforeman.org/issues/6597

Author: Trey Dockendorf

Status: New

Priority: Normal

Assigned To:

Category:

Target version:

Difficulty:

Found in release: nightly

Bugzilla link:

Pull request:

----------------------------------------

Using version 1.6.0-0.develop.201407110944gitbbafbc0.el7 on EL7 I found that

/etc/foreman-proxy/settings.d was not symlinked into /usr/share/foreman-proxy/config which resulted

in no configuration changes being seen.

History

#1 - 07/14/2014 07:39 AM - Lukas Zapletal

- Project changed from Foreman to Packaging

- Category changed from Packaging to RPMs

#2 - 07/14/2014 11:18 AM - Anonymous

- Status changed from New to Need more information

The install isn't supposed to create a symlink to settings.d, instead main config file is updated with :settings_directory pointing to 'settings.d' in '/etc': 

https://github.com/theforeman/foreman-packaging/blob/rpm/develop/foreman-proxy/foreman-proxy.spec#L79.

#3 - 10/20/2014 06:57 AM - Dominic Cleal

- Status changed from Need more information to Rejected
